// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 77;
	objects = {

/* Begin PBXBuildFile section */
		043FBCD22EAF97630036AFE1 /* KBPermissionViewController.m in Sources */ = {isa = PBXBuildFile; fileRef = 04C6EAE12EAF940F0089C901 /* KBPermissionViewController.m */; };
		04C6EABA2EAF86530089C901 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 04C6EAAE2EAF86530089C901 /* Assets.xcassets */; };
		04C6EABC2EAF86530089C901 /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 04C6EAB12EAF86530089C901 /* LaunchScreen.storyboard */; };
		04C6EABD2EAF86530089C901 /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 04C6EAB42EAF86530089C901 /* Main.storyboard */; };
		04C6EABE2EAF86530089C901 /* AppDelegate.m in Sources */ = {isa = PBXBuildFile; fileRef = 04C6EAAD2EAF86530089C901 /* AppDelegate.m */; };
		04C6EABF2EAF86530089C901 /* main.m in Sources */ = {isa = PBXBuildFile; fileRef = 04C6EAB22EAF86530089C901 /* main.m */; };
		04C6EAC12EAF86530089C901 /* ViewController.m in Sources */ = {isa = PBXBuildFile; fileRef = 04C6EAB82EAF86530089C901 /* ViewController.m */; };
		04C6EACE2EAF87020089C901 /* CustomKeyboard.appex in Embed Foundation Extensions */ = {isa = PBXBuildFile; fileRef = 04C6EAC62EAF87020089C901 /* CustomKeyboard.appex */; settings = {ATTRIBUTES = (RemoveHeadersOnCopy, ); }; };
		04C6EAD82EAF870B0089C901 /* KeyboardViewController.m in Sources */ = {isa = PBXBuildFile; fileRef = 04C6EAD62EAF870B0089C901 /* KeyboardViewController.m */; };
		04C6EADD2EAF8CEB0089C901 /* KBToolBar.m in Sources */ = {isa = PBXBuildFile; fileRef = 04C6EADC2EAF8CEB0089C901 /* KBToolBar.m */; };
		04FC95672EB0546C007BD342 /* KBKey.m in Sources */ = {isa = PBXBuildFile; fileRef = 04FC95652EB0546C007BD342 /* KBKey.m */; };
		04FC956A2EB05497007BD342 /* KBKeyButton.m in Sources */ = {isa = PBXBuildFile; fileRef = 04FC95692EB05497007BD342 /* KBKeyButton.m */; };
		04FC956D2EB054B7007BD342 /* KBKeyboardView.m in Sources */ = {isa = PBXBuildFile; fileRef = 04FC956C2EB054B7007BD342 /* KBKeyboardView.m */; };
		04FC95702EB09516007BD342 /* KBFunctionView.m in Sources */ = {isa = PBXBuildFile; fileRef = 04FC956F2EB09516007BD342 /* KBFunctionView.m */; };
		04FC95732EB09570007BD342 /* KBFunctionBarView.m in Sources */ = {isa = PBXBuildFile; fileRef = 04FC95722EB09570007BD342 /* KBFunctionBarView.m */; };
		04FC95762EB095DE007BD342 /* KBFunctionPasteView.m in Sources */ = {isa = PBXBuildFile; fileRef = 04FC95752EB095DE007BD342 /* KBFunctionPasteView.m */; };
		04FC95792EB09BC8007BD342 /* KBKeyBoardMainView.m in Sources */ = {isa = PBXBuildFile; fileRef = 04FC95782EB09BC8007BD342 /* KBKeyBoardMainView.m */; };
		04FC95B22EB0B2CC007BD342 /* KBSettingView.m in Sources */ = {isa = PBXBuildFile; fileRef = 04FC95B12EB0B2CC007BD342 /* KBSettingView.m */; };
		04FC95C92EB1E4C9007BD342 /* BaseNavigationController.m in Sources */ = {isa = PBXBuildFile; fileRef = 04FC95C82EB1E4C9007BD342 /* BaseNavigationController.m */; };
		04FC95CC2EB1E780007BD342 /* BaseTabBarController.m in Sources */ = {isa = PBXBuildFile; fileRef = 04FC95CB2EB1E780007BD342 /* BaseTabBarController.m */; };
		04FC95CF2EB1E7A1007BD342 /* HomeVC.m in Sources */ = {isa = PBXBuildFile; fileRef = 04FC95CE2EB1E7A1007BD342 /* HomeVC.m */; };
		04FC95D22EB1E7AE007BD342 /* MyVC.m in Sources */ = {isa = PBXBuildFile; fileRef = 04FC95D12EB1E7AE007BD342 /* MyVC.m */; };
		04FC95D72EB1EA16007BD342 /* BaseTableView.m in Sources */ = {isa = PBXBuildFile; fileRef = 04FC95D62EB1EA16007BD342 /* BaseTableView.m */; };
		04FC95D82EB1EA16007BD342 /* BaseCell.m in Sources */ = {isa = PBXBuildFile; fileRef = 04FC95D42EB1EA16007BD342 /* BaseCell.m */; };
		04FC95DD2EB202A3007BD342 /* KBGuideVC.m in Sources */ = {isa = PBXBuildFile; fileRef = 04FC95DC2EB202A3007BD342 /* KBGuideVC.m */; };
		04FC95E52EB220B5007BD342 /* UIColor+Extension.m in Sources */ = {isa = PBXBuildFile; fileRef = 04FC95E42EB220B5007BD342 /* UIColor+Extension.m */; };
		04FC95E92EB23B67007BD342 /* KBNetworkManager.m in Sources */ = {isa = PBXBuildFile; fileRef = 04FC95E72EB23B67007BD342 /* KBNetworkManager.m */; };
		04FC95F12EB339A7007BD342 /* LoginViewController.m in Sources */ = {isa = PBXBuildFile; fileRef = 04FC95F02EB339A7007BD342 /* LoginViewController.m */; };
		04FC95F42EB339C1007BD342 /* AppleSignInManager.m in Sources */ = {isa = PBXBuildFile; fileRef = 04FC95F32EB339C1007BD342 /* AppleSignInManager.m */; };
		04FC97002EB30A00007BD342 /* KBGuideTopCell.m in Sources */ = {isa = PBXBuildFile; fileRef = 04FC96FF2EB30A00007BD342 /* KBGuideTopCell.m */; };
		04FC97032EB30A00007BD342 /* KBGuideKFCell.m in Sources */ = {isa = PBXBuildFile; fileRef = 04FC97022EB30A00007BD342 /* KBGuideKFCell.m */; };
		04FC97062EB30A00007BD342 /* KBGuideUserCell.m in Sources */ = {isa = PBXBuildFile; fileRef = 04FC97052EB30A00007BD342 /* KBGuideUserCell.m */; };
		04FC97092EB31B14007BD342 /* KBHUD.m in Sources */ = {isa = PBXBuildFile; fileRef = 04FC97082EB31B14007BD342 /* KBHUD.m */; };
		04FC970E2EB334F8007BD342 /* UIImageView+KBWebImage.m in Sources */ = {isa = PBXBuildFile; fileRef = 04FC970B2EB334F8007BD342 /* UIImageView+KBWebImage.m */; };
		04FC970F2EB334F8007BD342 /* KBWebImageManager.m in Sources */ = {isa = PBXBuildFile; fileRef = 04FC970D2EB334F8007BD342 /* KBWebImageManager.m */; };
		7A36414DFDA5BEC9B7D2E318 /* Pods_CustomKeyboard.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 2C1092FB2B452F95B15D4263 /* Pods_CustomKeyboard.framework */; };
		A1B2C3D42EB0A0A100000001 /* KBFunctionTagCell.m in Sources */ = {isa = PBXBuildFile; fileRef = A1B2C3D32EB0A0A100000001 /* KBFunctionTagCell.m */; };
		A1B2C3E22EB0C0A100000001 /* KBNetworkManager.m in Sources */ = {isa = PBXBuildFile; fileRef = A1B2C3E12EB0C0A100000001 /* KBNetworkManager.m */; };
		ECC9EE02174D86E8D792472F /* Pods_keyBoard.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 967065BB5230E43F293B3AF9 /* Pods_keyBoard.framework */; };
/* End PBXBuildFile section */

/* Begin PBXContainerItemProxy section */
		04C6EACC2EAF87020089C901 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 727EC74B2EAF848B00B36487 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 04C6EAC52EAF87020089C901;
			remoteInfo = CustomKeyboard;
		};
/* End PBXContainerItemProxy section */

/* Begin PBXCopyFilesBuildPhase section */
		04C6EAD32EAF87020089C901 /* Embed Foundation Extensions */ = {
			isa = PBXCopyFilesBuildPhase;
			buildActionMask = 2147483647;
			dstPath = "";
			dstSubfolderSpec = 13;
			files = (
				04C6EACE2EAF87020089C901 /* CustomKeyboard.appex in Embed Foundation Extensions */,
			);
			name = "Embed Foundation Extensions";
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXCopyFilesBuildPhase section */

/* Begin PBXFileReference section */
		04C6EAAC2EAF86530089C901 /* AppDelegate.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = AppDelegate.h; sourceTree = "<group>"; };
		04C6EAAD2EAF86530089C901 /* AppDelegate.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = AppDelegate.m; sourceTree = "<group>"; };
		04C6EAAE2EAF86530089C901 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		04C6EAAF2EAF86530089C901 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		04C6EAB02EAF86530089C901 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		04C6EAB22EAF86530089C901 /* main.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = main.m; sourceTree = "<group>"; };
		04C6EAB32EAF86530089C901 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		04C6EAB72EAF86530089C901 /* ViewController.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = ViewController.h; sourceTree = "<group>"; };
		04C6EAB82EAF86530089C901 /* ViewController.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = ViewController.m; sourceTree = "<group>"; };
		04C6EAC62EAF87020089C901 /* CustomKeyboard.appex */ = {isa = PBXFileReference; explicitFileType = "wrapper.app-extension"; includeInIndex = 0; path = CustomKeyboard.appex; sourceTree = BUILT_PRODUCTS_DIR; };
		04C6EAD42EAF870B0089C901 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		04C6EAD52EAF870B0089C901 /* KeyboardViewController.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = KeyboardViewController.h; sourceTree = "<group>"; };
		04C6EAD62EAF870B0089C901 /* KeyboardViewController.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = KeyboardViewController.m; sourceTree = "<group>"; };
		04C6EADB2EAF8CEB0089C901 /* KBToolBar.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = KBToolBar.h; sourceTree = "<group>"; };
		04C6EADC2EAF8CEB0089C901 /* KBToolBar.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = KBToolBar.m; sourceTree = "<group>"; };
		04C6EADE2EAF8D680089C901 /* PrefixHeader.pch */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = PrefixHeader.pch; sourceTree = "<group>"; };
		04C6EAE02EAF940F0089C901 /* KBPermissionViewController.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = KBPermissionViewController.h; sourceTree = "<group>"; };
		04C6EAE12EAF940F0089C901 /* KBPermissionViewController.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = KBPermissionViewController.m; sourceTree = "<group>"; };
		04FC953A2EAFAE56007BD342 /* KeyBoardPrefixHeader.pch */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = KeyBoardPrefixHeader.pch; sourceTree = "<group>"; };
		04FC95642EB0546C007BD342 /* KBKey.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = KBKey.h; sourceTree = "<group>"; };
		04FC95652EB0546C007BD342 /* KBKey.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = KBKey.m; sourceTree = "<group>"; };
		04FC95682EB05497007BD342 /* KBKeyButton.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = KBKeyButton.h; sourceTree = "<group>"; };
		04FC95692EB05497007BD342 /* KBKeyButton.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = KBKeyButton.m; sourceTree = "<group>"; };
		04FC956B2EB054B7007BD342 /* KBKeyboardView.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = KBKeyboardView.h; sourceTree = "<group>"; };
		04FC956C2EB054B7007BD342 /* KBKeyboardView.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = KBKeyboardView.m; sourceTree = "<group>"; };
		04FC956E2EB09516007BD342 /* KBFunctionView.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = KBFunctionView.h; sourceTree = "<group>"; };
		04FC956F2EB09516007BD342 /* KBFunctionView.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = KBFunctionView.m; sourceTree = "<group>"; };
		04FC95712EB09570007BD342 /* KBFunctionBarView.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = KBFunctionBarView.h; sourceTree = "<group>"; };
		04FC95722EB09570007BD342 /* KBFunctionBarView.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = KBFunctionBarView.m; sourceTree = "<group>"; };
		04FC95742EB095DE007BD342 /* KBFunctionPasteView.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = KBFunctionPasteView.h; sourceTree = "<group>"; };
		04FC95752EB095DE007BD342 /* KBFunctionPasteView.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = KBFunctionPasteView.m; sourceTree = "<group>"; };
		04FC95772EB09BC8007BD342 /* KBKeyBoardMainView.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = KBKeyBoardMainView.h; sourceTree = "<group>"; };
		04FC95782EB09BC8007BD342 /* KBKeyBoardMainView.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = KBKeyBoardMainView.m; sourceTree = "<group>"; };
		04FC95B02EB0B2CC007BD342 /* KBSettingView.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = KBSettingView.h; sourceTree = "<group>"; };
		04FC95B12EB0B2CC007BD342 /* KBSettingView.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = KBSettingView.m; sourceTree = "<group>"; };
		04FC95C72EB1E4C9007BD342 /* BaseNavigationController.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = BaseNavigationController.h; sourceTree = "<group>"; };
		04FC95C82EB1E4C9007BD342 /* BaseNavigationController.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = BaseNavigationController.m; sourceTree = "<group>"; };
		04FC95CA2EB1E780007BD342 /* BaseTabBarController.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = BaseTabBarController.h; sourceTree = "<group>"; };
		04FC95CB2EB1E780007BD342 /* BaseTabBarController.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = BaseTabBarController.m; sourceTree = "<group>"; };
		04FC95CD2EB1E7A1007BD342 /* HomeVC.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = HomeVC.h; sourceTree = "<group>"; };
		04FC95CE2EB1E7A1007BD342 /* HomeVC.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = HomeVC.m; sourceTree = "<group>"; };
		04FC95D02EB1E7AE007BD342 /* MyVC.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = MyVC.h; sourceTree = "<group>"; };
		04FC95D12EB1E7AE007BD342 /* MyVC.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = MyVC.m; sourceTree = "<group>"; };
		04FC95D32EB1EA16007BD342 /* BaseCell.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = BaseCell.h; sourceTree = "<group>"; };
		04FC95D42EB1EA16007BD342 /* BaseCell.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = BaseCell.m; sourceTree = "<group>"; };
		04FC95D52EB1EA16007BD342 /* BaseTableView.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = BaseTableView.h; sourceTree = "<group>"; };
		04FC95D62EB1EA16007BD342 /* BaseTableView.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = BaseTableView.m; sourceTree = "<group>"; };
		04FC95DB2EB202A3007BD342 /* KBGuideVC.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = KBGuideVC.h; sourceTree = "<group>"; };
		04FC95DC2EB202A3007BD342 /* KBGuideVC.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = KBGuideVC.m; sourceTree = "<group>"; };
		04FC95E32EB220B5007BD342 /* UIColor+Extension.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = "UIColor+Extension.h"; sourceTree = "<group>"; };
		04FC95E42EB220B5007BD342 /* UIColor+Extension.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = "UIColor+Extension.m"; sourceTree = "<group>"; };
		04FC95E62EB23B67007BD342 /* KBNetworkManager.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = KBNetworkManager.h; sourceTree = "<group>"; };
		04FC95E72EB23B67007BD342 /* KBNetworkManager.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = KBNetworkManager.m; sourceTree = "<group>"; };
		04FC95EF2EB339A7007BD342 /* LoginViewController.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = LoginViewController.h; sourceTree = "<group>"; };
		04FC95F02EB339A7007BD342 /* LoginViewController.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = LoginViewController.m; sourceTree = "<group>"; };
		04FC95F22EB339C1007BD342 /* AppleSignInManager.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = AppleSignInManager.h; sourceTree = "<group>"; };
		04FC95F32EB339C1007BD342 /* AppleSignInManager.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = AppleSignInManager.m; sourceTree = "<group>"; };
		04FC95F52EB33B52007BD342 /* keyBoard.entitlements */ = {isa = PBXFileReference; lastKnownFileType = text.plist.entitlements; path = keyBoard.entitlements; sourceTree = "<group>"; };
		04FC96FE2EB30A00007BD342 /* KBGuideTopCell.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = KBGuideTopCell.h; sourceTree = "<group>"; };
		04FC96FF2EB30A00007BD342 /* KBGuideTopCell.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = KBGuideTopCell.m; sourceTree = "<group>"; };
		04FC97012EB30A00007BD342 /* KBGuideKFCell.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = KBGuideKFCell.h; sourceTree = "<group>"; };
		04FC97022EB30A00007BD342 /* KBGuideKFCell.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = KBGuideKFCell.m; sourceTree = "<group>"; };
		04FC97042EB30A00007BD342 /* KBGuideUserCell.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = KBGuideUserCell.h; sourceTree = "<group>"; };
		04FC97052EB30A00007BD342 /* KBGuideUserCell.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = KBGuideUserCell.m; sourceTree = "<group>"; };
		04FC97072EB31B14007BD342 /* KBHUD.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = KBHUD.h; sourceTree = "<group>"; };
		04FC97082EB31B14007BD342 /* KBHUD.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = KBHUD.m; sourceTree = "<group>"; };
		04FC970A2EB334F8007BD342 /* UIImageView+KBWebImage.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = "UIImageView+KBWebImage.h"; sourceTree = "<group>"; };
		04FC970B2EB334F8007BD342 /* UIImageView+KBWebImage.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = "UIImageView+KBWebImage.m"; sourceTree = "<group>"; };
		04FC970C2EB334F8007BD342 /* KBWebImageManager.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = KBWebImageManager.h; sourceTree = "<group>"; };
		04FC970D2EB334F8007BD342 /* KBWebImageManager.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = KBWebImageManager.m; sourceTree = "<group>"; };
		2C1092FB2B452F95B15D4263 /* Pods_CustomKeyboard.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = Pods_CustomKeyboard.framework; sourceTree = BUILT_PRODUCTS_DIR; };
		51FE7C4C42C2255B3C1C4128 /* Pods-keyBoard.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-keyBoard.release.xcconfig"; path = "Target Support Files/Pods-keyBoard/Pods-keyBoard.release.xcconfig"; sourceTree = "<group>"; };
		727EC7532EAF848B00B36487 /* keyBoard.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = keyBoard.app; sourceTree = BUILT_PRODUCTS_DIR; };
		967065BB5230E43F293B3AF9 /* Pods_keyBoard.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = Pods_keyBoard.framework; sourceTree = BUILT_PRODUCTS_DIR; };
		A1B2C3D22EB0A0A100000001 /* KBFunctionTagCell.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = KBFunctionTagCell.h; sourceTree = "<group>"; };
		A1B2C3D32EB0A0A100000001 /* KBFunctionTagCell.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = KBFunctionTagCell.m; sourceTree = "<group>"; };
		A1B2C3E02EB0C0A100000001 /* KBNetworkManager.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = KBNetworkManager.h; sourceTree = "<group>"; };
		A1B2C3E12EB0C0A100000001 /* KBNetworkManager.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = KBNetworkManager.m; sourceTree = "<group>"; };
		B12EC429812407B9F0E67565 /* Pods-CustomKeyboard.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-CustomKeyboard.release.xcconfig"; path = "Target Support Files/Pods-CustomKeyboard/Pods-CustomKeyboard.release.xcconfig"; sourceTree = "<group>"; };
		B8CA018AB878499327504AAD /* Pods-CustomKeyboard.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-CustomKeyboard.debug.xcconfig"; path = "Target Support Files/Pods-CustomKeyboard/Pods-CustomKeyboard.debug.xcconfig"; sourceTree = "<group>"; };
		F67DDBD716E4E616D8CC2C9C /* Pods-keyBoard.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-keyBoard.debug.xcconfig"; path = "Target Support Files/Pods-keyBoard/Pods-keyBoard.debug.xcconfig"; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		04C6EAC32EAF87020089C901 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				7A36414DFDA5BEC9B7D2E318 /* Pods_CustomKeyboard.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		727EC7502EAF848B00B36487 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				ECC9EE02174D86E8D792472F /* Pods_keyBoard.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		04C6EAB92EAF86530089C901 /* keyBoard */ = {
			isa = PBXGroup;
			children = (
				04FC95F52EB33B52007BD342 /* keyBoard.entitlements */,
				04FC95BF2EB1E3B1007BD342 /* Class */,
				04C6EAE32EAF942E0089C901 /* VC */,
				04C6EAAC2EAF86530089C901 /* AppDelegate.h */,
				04C6EAAD2EAF86530089C901 /* AppDelegate.m */,
				04C6EAAE2EAF86530089C901 /* Assets.xcassets */,
				04C6EAAF2EAF86530089C901 /* Info.plist */,
				04C6EAB12EAF86530089C901 /* LaunchScreen.storyboard */,
				04C6EAB22EAF86530089C901 /* main.m */,
				04C6EAB42EAF86530089C901 /* Main.storyboard */,
				04C6EAB72EAF86530089C901 /* ViewController.h */,
				04C6EAB82EAF86530089C901 /* ViewController.m */,
				04FC953A2EAFAE56007BD342 /* KeyBoardPrefixHeader.pch */,
			);
			path = keyBoard;
			sourceTree = "<group>";
		};
		04C6EAD72EAF870B0089C901 /* CustomKeyboard */ = {
			isa = PBXGroup;
			children = (
				04FC95662EB0546C007BD342 /* Model */,
				04C6EADA2EAF8C7B0089C901 /* View */,
				A1B2C3E52EB0C0A100000001 /* Network */,
				04C6EAD42EAF870B0089C901 /* Info.plist */,
				04C6EAD52EAF870B0089C901 /* KeyboardViewController.h */,
				04C6EAD62EAF870B0089C901 /* KeyboardViewController.m */,
				04C6EADE2EAF8D680089C901 /* PrefixHeader.pch */,
			);
			path = CustomKeyboard;
			sourceTree = "<group>";
		};
		04C6EADA2EAF8C7B0089C901 /* View */ = {
			isa = PBXGroup;
			children = (
				04C6EADB2EAF8CEB0089C901 /* KBToolBar.h */,
				04C6EADC2EAF8CEB0089C901 /* KBToolBar.m */,
				04FC95682EB05497007BD342 /* KBKeyButton.h */,
				04FC95692EB05497007BD342 /* KBKeyButton.m */,
				04FC956B2EB054B7007BD342 /* KBKeyboardView.h */,
				04FC956C2EB054B7007BD342 /* KBKeyboardView.m */,
				04FC95772EB09BC8007BD342 /* KBKeyBoardMainView.h */,
				04FC95782EB09BC8007BD342 /* KBKeyBoardMainView.m */,
				04FC956E2EB09516007BD342 /* KBFunctionView.h */,
				04FC956F2EB09516007BD342 /* KBFunctionView.m */,
				04FC95712EB09570007BD342 /* KBFunctionBarView.h */,
				04FC95722EB09570007BD342 /* KBFunctionBarView.m */,
				04FC95742EB095DE007BD342 /* KBFunctionPasteView.h */,
				04FC95752EB095DE007BD342 /* KBFunctionPasteView.m */,
				A1B2C3D22EB0A0A100000001 /* KBFunctionTagCell.h */,
				A1B2C3D32EB0A0A100000001 /* KBFunctionTagCell.m */,
				04FC95B02EB0B2CC007BD342 /* KBSettingView.h */,
				04FC95B12EB0B2CC007BD342 /* KBSettingView.m */,
			);
			path = View;
			sourceTree = "<group>";
		};
		04C6EAE32EAF942E0089C901 /* VC */ = {
			isa = PBXGroup;
			children = (
				04C6EAE02EAF940F0089C901 /* KBPermissionViewController.h */,
				04C6EAE12EAF940F0089C901 /* KBPermissionViewController.m */,
			);
			path = VC;
			sourceTree = "<group>";
		};
		04FC95662EB0546C007BD342 /* Model */ = {
			isa = PBXGroup;
			children = (
				04FC95642EB0546C007BD342 /* KBKey.h */,
				04FC95652EB0546C007BD342 /* KBKey.m */,
			);
			path = Model;
			sourceTree = "<group>";
		};
		04FC95B32EB1E3B1007BD342 /* M */ = {
			isa = PBXGroup;
			children = (
			);
			path = M;
			sourceTree = "<group>";
		};
		04FC95B42EB1E3B1007BD342 /* V */ = {
			isa = PBXGroup;
			children = (
			);
			path = V;
			sourceTree = "<group>";
		};
		04FC95B52EB1E3B1007BD342 /* VC */ = {
			isa = PBXGroup;
			children = (
				04FC95CD2EB1E7A1007BD342 /* HomeVC.h */,
				04FC95CE2EB1E7A1007BD342 /* HomeVC.m */,
			);
			path = VC;
			sourceTree = "<group>";
		};
		04FC95B62EB1E3B1007BD342 /* Home */ = {
			isa = PBXGroup;
			children = (
				04FC95B32EB1E3B1007BD342 /* M */,
				04FC95B42EB1E3B1007BD342 /* V */,
				04FC95B52EB1E3B1007BD342 /* VC */,
			);
			path = Home;
			sourceTree = "<group>";
		};
		04FC95B72EB1E3B1007BD342 /* M */ = {
			isa = PBXGroup;
			children = (
			);
			path = M;
			sourceTree = "<group>";
		};
		04FC95B82EB1E3B1007BD342 /* V */ = {
			isa = PBXGroup;
			children = (
			);
			path = V;
			sourceTree = "<group>";
		};
		04FC95B92EB1E3B1007BD342 /* VC */ = {
			isa = PBXGroup;
			children = (
				04FC95CA2EB1E780007BD342 /* BaseTabBarController.h */,
				04FC95CB2EB1E780007BD342 /* BaseTabBarController.m */,
			);
			path = VC;
			sourceTree = "<group>";
		};
		04FC95BA2EB1E3B1007BD342 /* Main */ = {
			isa = PBXGroup;
			children = (
				04FC95B72EB1E3B1007BD342 /* M */,
				04FC95B82EB1E3B1007BD342 /* V */,
				04FC95B92EB1E3B1007BD342 /* VC */,
			);
			path = Main;
			sourceTree = "<group>";
		};
		04FC95BB2EB1E3B1007BD342 /* M */ = {
			isa = PBXGroup;
			children = (
			);
			path = M;
			sourceTree = "<group>";
		};
		04FC95BC2EB1E3B1007BD342 /* V */ = {
			isa = PBXGroup;
			children = (
			);
			path = V;
			sourceTree = "<group>";
		};
		04FC95BD2EB1E3B1007BD342 /* VC */ = {
			isa = PBXGroup;
			children = (
				04FC95D02EB1E7AE007BD342 /* MyVC.h */,
				04FC95D12EB1E7AE007BD342 /* MyVC.m */,
			);
			path = VC;
			sourceTree = "<group>";
		};
		04FC95BE2EB1E3B1007BD342 /* Me */ = {
			isa = PBXGroup;
			children = (
				04FC95BB2EB1E3B1007BD342 /* M */,
				04FC95BC2EB1E3B1007BD342 /* V */,
				04FC95BD2EB1E3B1007BD342 /* VC */,
			);
			path = Me;
			sourceTree = "<group>";
		};
		04FC95BF2EB1E3B1007BD342 /* Class */ = {
			isa = PBXGroup;
			children = (
				04FC95EE2EB3399D007BD342 /* Manager */,
				04FC95ED2EB33611007BD342 /* Login */,
				04FC95E82EB23B67007BD342 /* Network */,
				04FC95E22EB2208F007BD342 /* Categories */,
				04FC95E12EB20AD1007BD342 /* Guard */,
				04FC95C62EB1E4AB007BD342 /* Base */,
				04FC95BA2EB1E3B1007BD342 /* Main */,
				04FC95B62EB1E3B1007BD342 /* Home */,
				04FC95BE2EB1E3B1007BD342 /* Me */,
			);
			path = Class;
			sourceTree = "<group>";
		};
		04FC95C32EB1E4AB007BD342 /* M */ = {
			isa = PBXGroup;
			children = (
			);
			path = M;
			sourceTree = "<group>";
		};
		04FC95C42EB1E4AB007BD342 /* V */ = {
			isa = PBXGroup;
			children = (
				04FC95D32EB1EA16007BD342 /* BaseCell.h */,
				04FC95D42EB1EA16007BD342 /* BaseCell.m */,
				04FC95D52EB1EA16007BD342 /* BaseTableView.h */,
				04FC95D62EB1EA16007BD342 /* BaseTableView.m */,
			);
			path = V;
			sourceTree = "<group>";
		};
		04FC95C52EB1E4AB007BD342 /* VC */ = {
			isa = PBXGroup;
			children = (
				04FC95C72EB1E4C9007BD342 /* BaseNavigationController.h */,
				04FC95C82EB1E4C9007BD342 /* BaseNavigationController.m */,
			);
			path = VC;
			sourceTree = "<group>";
		};
		04FC95C62EB1E4AB007BD342 /* Base */ = {
			isa = PBXGroup;
			children = (
				04FC95C32EB1E4AB007BD342 /* M */,
				04FC95C42EB1E4AB007BD342 /* V */,
				04FC95C52EB1E4AB007BD342 /* VC */,
			);
			path = Base;
			sourceTree = "<group>";
		};
		04FC95DE2EB20AD1007BD342 /* M */ = {
			isa = PBXGroup;
			children = (
			);
			path = M;
			sourceTree = "<group>";
		};
		04FC95DF2EB20AD1007BD342 /* V */ = {
			isa = PBXGroup;
			children = (
				04FC96FE2EB30A00007BD342 /* KBGuideTopCell.h */,
				04FC96FF2EB30A00007BD342 /* KBGuideTopCell.m */,
				04FC97012EB30A00007BD342 /* KBGuideKFCell.h */,
				04FC97022EB30A00007BD342 /* KBGuideKFCell.m */,
				04FC97042EB30A00007BD342 /* KBGuideUserCell.h */,
				04FC97052EB30A00007BD342 /* KBGuideUserCell.m */,
			);
			path = V;
			sourceTree = "<group>";
		};
		04FC95E02EB20AD1007BD342 /* VC */ = {
			isa = PBXGroup;
			children = (
				04FC95DB2EB202A3007BD342 /* KBGuideVC.h */,
				04FC95DC2EB202A3007BD342 /* KBGuideVC.m */,
			);
			path = VC;
			sourceTree = "<group>";
		};
		04FC95E12EB20AD1007BD342 /* Guard */ = {
			isa = PBXGroup;
			children = (
				04FC95DE2EB20AD1007BD342 /* M */,
				04FC95DF2EB20AD1007BD342 /* V */,
				04FC95E02EB20AD1007BD342 /* VC */,
			);
			path = Guard;
			sourceTree = "<group>";
		};
		04FC95E22EB2208F007BD342 /* Categories */ = {
			isa = PBXGroup;
			children = (
				04FC95E32EB220B5007BD342 /* UIColor+Extension.h */,
				04FC95E42EB220B5007BD342 /* UIColor+Extension.m */,
				04FC970A2EB334F8007BD342 /* UIImageView+KBWebImage.h */,
				04FC970B2EB334F8007BD342 /* UIImageView+KBWebImage.m */,
				04FC970C2EB334F8007BD342 /* KBWebImageManager.h */,
				04FC970D2EB334F8007BD342 /* KBWebImageManager.m */,
				04FC97072EB31B14007BD342 /* KBHUD.h */,
				04FC97082EB31B14007BD342 /* KBHUD.m */,
			);
			path = Categories;
			sourceTree = "<group>";
		};
		04FC95E82EB23B67007BD342 /* Network */ = {
			isa = PBXGroup;
			children = (
				04FC95E62EB23B67007BD342 /* KBNetworkManager.h */,
				04FC95E72EB23B67007BD342 /* KBNetworkManager.m */,
			);
			path = Network;
			sourceTree = "<group>";
		};
		04FC95EA2EB33611007BD342 /* M */ = {
			isa = PBXGroup;
			children = (
			);
			path = M;
			sourceTree = "<group>";
		};
		04FC95EB2EB33611007BD342 /* V */ = {
			isa = PBXGroup;
			children = (
			);
			path = V;
			sourceTree = "<group>";
		};
		04FC95EC2EB33611007BD342 /* VC */ = {
			isa = PBXGroup;
			children = (
				04FC95EF2EB339A7007BD342 /* LoginViewController.h */,
				04FC95F02EB339A7007BD342 /* LoginViewController.m */,
			);
			path = VC;
			sourceTree = "<group>";
		};
		04FC95ED2EB33611007BD342 /* Login */ = {
			isa = PBXGroup;
			children = (
				04FC95EA2EB33611007BD342 /* M */,
				04FC95EB2EB33611007BD342 /* V */,
				04FC95EC2EB33611007BD342 /* VC */,
			);
			path = Login;
			sourceTree = "<group>";
		};
		04FC95EE2EB3399D007BD342 /* Manager */ = {
			isa = PBXGroup;
			children = (
				04FC95F22EB339C1007BD342 /* AppleSignInManager.h */,
				04FC95F32EB339C1007BD342 /* AppleSignInManager.m */,
			);
			path = Manager;
			sourceTree = "<group>";
		};
		2C53A0856097DCFBE7B55649 /* Pods */ = {
			isa = PBXGroup;
			children = (
				B8CA018AB878499327504AAD /* Pods-CustomKeyboard.debug.xcconfig */,
				B12EC429812407B9F0E67565 /* Pods-CustomKeyboard.release.xcconfig */,
				F67DDBD716E4E616D8CC2C9C /* Pods-keyBoard.debug.xcconfig */,
				51FE7C4C42C2255B3C1C4128 /* Pods-keyBoard.release.xcconfig */,
			);
			path = Pods;
			sourceTree = "<group>";
		};
		6E26572F95DCFDA6A6644133 /* Frameworks */ = {
			isa = PBXGroup;
			children = (
				2C1092FB2B452F95B15D4263 /* Pods_CustomKeyboard.framework */,
				967065BB5230E43F293B3AF9 /* Pods_keyBoard.framework */,
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
		727EC74A2EAF848B00B36487 = {
			isa = PBXGroup;
			children = (
				04C6EAB92EAF86530089C901 /* keyBoard */,
				04C6EAD72EAF870B0089C901 /* CustomKeyboard */,
				727EC7542EAF848B00B36487 /* Products */,
				2C53A0856097DCFBE7B55649 /* Pods */,
				6E26572F95DCFDA6A6644133 /* Frameworks */,
			);
			sourceTree = "<group>";
		};
		727EC7542EAF848B00B36487 /* Products */ = {
			isa = PBXGroup;
			children = (
				727EC7532EAF848B00B36487 /* keyBoard.app */,
				04C6EAC62EAF87020089C901 /* CustomKeyboard.appex */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		A1B2C3E52EB0C0A100000001 /* Network */ = {
			isa = PBXGroup;
			children = (
				A1B2C3E02EB0C0A100000001 /* KBNetworkManager.h */,
				A1B2C3E12EB0C0A100000001 /* KBNetworkManager.m */,
			);
			path = Network;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		04C6EAC52EAF87020089C901 /* CustomKeyboard */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 04C6EAD02EAF87020089C901 /* Build configuration list for PBXNativeTarget "CustomKeyboard" */;
			buildPhases = (
				0BE37DFD7038DA85EFB69DAC /* [CP] Check Pods Manifest.lock */,
				04C6EAC22EAF87020089C901 /* Sources */,
				04C6EAC32EAF87020089C901 /* Frameworks */,
				04C6EAC42EAF87020089C901 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = CustomKeyboard;
			productName = CustomKeyboard;
			productReference = 04C6EAC62EAF87020089C901 /* CustomKeyboard.appex */;
			productType = "com.apple.product-type.app-extension";
		};
		727EC7522EAF848B00B36487 /* keyBoard */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 727EC76B2EAF848C00B36487 /* Build configuration list for PBXNativeTarget "keyBoard" */;
			buildPhases = (
				83BB87118E085DDFDE4FDC7F /* [CP] Check Pods Manifest.lock */,
				727EC74F2EAF848B00B36487 /* Sources */,
				727EC7502EAF848B00B36487 /* Frameworks */,
				727EC7512EAF848B00B36487 /* Resources */,
				04C6EAD32EAF87020089C901 /* Embed Foundation Extensions */,
				6463F367119C0796ECC157BE /* [CP] Embed Pods Frameworks */,
			);
			buildRules = (
			);
			dependencies = (
				04C6EACD2EAF87020089C901 /* PBXTargetDependency */,
			);
			name = keyBoard;
			productName = keyBoard;
			productReference = 727EC7532EAF848B00B36487 /* keyBoard.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		727EC74B2EAF848B00B36487 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				BuildIndependentTargetsInParallel = 1;
				CLASSPREFIX = KB;
				LastUpgradeCheck = 2600;
				TargetAttributes = {
					04C6EAC52EAF87020089C901 = {
						CreatedOnToolsVersion = 16.4;
					};
					727EC7522EAF848B00B36487 = {
						CreatedOnToolsVersion = 26.0.1;
					};
				};
			};
			buildConfigurationList = 727EC74E2EAF848B00B36487 /* Build configuration list for PBXProject "keyBoard" */;
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 727EC74A2EAF848B00B36487;
			minimizedProjectReferenceProxies = 1;
			preferredProjectObjectVersion = 77;
			productRefGroup = 727EC7542EAF848B00B36487 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				727EC7522EAF848B00B36487 /* keyBoard */,
				04C6EAC52EAF87020089C901 /* CustomKeyboard */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		04C6EAC42EAF87020089C901 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		727EC7512EAF848B00B36487 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				04C6EABA2EAF86530089C901 /* Assets.xcassets in Resources */,
				04C6EABC2EAF86530089C901 /* LaunchScreen.storyboard in Resources */,
				04C6EABD2EAF86530089C901 /* Main.storyboard in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXShellScriptBuildPhase section */
		0BE37DFD7038DA85EFB69DAC /* [CP] Check Pods Manifest.lock */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
				"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
				"${PODS_ROOT}/Manifest.lock",
			);
			name = "[CP] Check Pods Manifest.lock";
			outputFileListPaths = (
			);
			outputPaths = (
				"$(DERIVED_FILE_DIR)/Pods-CustomKeyboard-checkManifestLockResult.txt",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
			showEnvVarsInLog = 0;
		};
		6463F367119C0796ECC157BE /* [CP] Embed Pods Frameworks */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-keyBoard/Pods-keyBoard-frameworks-${CONFIGURATION}-input-files.xcfilelist",
			);
			inputPaths = (
			);
			name = "[CP] Embed Pods Frameworks";
			outputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-keyBoard/Pods-keyBoard-frameworks-${CONFIGURATION}-output-files.xcfilelist",
			);
			outputPaths = (
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-keyBoard/Pods-keyBoard-frameworks.sh\"\n";
			showEnvVarsInLog = 0;
		};
		83BB87118E085DDFDE4FDC7F /* [CP] Check Pods Manifest.lock */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
				"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
				"${PODS_ROOT}/Manifest.lock",
			);
			name = "[CP] Check Pods Manifest.lock";
			outputFileListPaths = (
			);
			outputPaths = (
				"$(DERIVED_FILE_DIR)/Pods-keyBoard-checkManifestLockResult.txt",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
			showEnvVarsInLog = 0;
		};
/* End PBXShellScriptBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		04C6EAC22EAF87020089C901 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				04C6EADD2EAF8CEB0089C901 /* KBToolBar.m in Sources */,
				04FC95792EB09BC8007BD342 /* KBKeyBoardMainView.m in Sources */,
				04FC95732EB09570007BD342 /* KBFunctionBarView.m in Sources */,
				04C6EAD82EAF870B0089C901 /* KeyboardViewController.m in Sources */,
				04FC95762EB095DE007BD342 /* KBFunctionPasteView.m in Sources */,
				A1B2C3D42EB0A0A100000001 /* KBFunctionTagCell.m in Sources */,
				A1B2C3E22EB0C0A100000001 /* KBNetworkManager.m in Sources */,
				04FC956A2EB05497007BD342 /* KBKeyButton.m in Sources */,
				04FC95B22EB0B2CC007BD342 /* KBSettingView.m in Sources */,
				04FC95702EB09516007BD342 /* KBFunctionView.m in Sources */,
				04FC956D2EB054B7007BD342 /* KBKeyboardView.m in Sources */,
				04FC95672EB0546C007BD342 /* KBKey.m in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		727EC74F2EAF848B00B36487 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				04FC95E92EB23B67007BD342 /* KBNetworkManager.m in Sources */,
				04FC95D22EB1E7AE007BD342 /* MyVC.m in Sources */,
				043FBCD22EAF97630036AFE1 /* KBPermissionViewController.m in Sources */,
				04C6EABE2EAF86530089C901 /* AppDelegate.m in Sources */,
				04FC95F12EB339A7007BD342 /* LoginViewController.m in Sources */,
				04FC95D72EB1EA16007BD342 /* BaseTableView.m in Sources */,
				04FC95D82EB1EA16007BD342 /* BaseCell.m in Sources */,
				04FC95C92EB1E4C9007BD342 /* BaseNavigationController.m in Sources */,
				04FC95DD2EB202A3007BD342 /* KBGuideVC.m in Sources */,
				04FC95E52EB220B5007BD342 /* UIColor+Extension.m in Sources */,
				04FC97002EB30A00007BD342 /* KBGuideTopCell.m in Sources */,
				04FC97032EB30A00007BD342 /* KBGuideKFCell.m in Sources */,
				04FC97062EB30A00007BD342 /* KBGuideUserCell.m in Sources */,
				04FC97092EB31B14007BD342 /* KBHUD.m in Sources */,
				04FC970E2EB334F8007BD342 /* UIImageView+KBWebImage.m in Sources */,
				04FC970F2EB334F8007BD342 /* KBWebImageManager.m in Sources */,
				04FC95CF2EB1E7A1007BD342 /* HomeVC.m in Sources */,
				04C6EABF2EAF86530089C901 /* main.m in Sources */,
				04FC95CC2EB1E780007BD342 /* BaseTabBarController.m in Sources */,
				04FC95F42EB339C1007BD342 /* AppleSignInManager.m in Sources */,
				04C6EAC12EAF86530089C901 /* ViewController.m in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXTargetDependency section */
		04C6EACD2EAF87020089C901 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 04C6EAC52EAF87020089C901 /* CustomKeyboard */;
			targetProxy = 04C6EACC2EAF87020089C901 /* PBXContainerItemProxy */;
		};
/* End PBXTargetDependency section */

/* Begin PBXVariantGroup section */
		04C6EAB12EAF86530089C901 /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				04C6EAB02EAF86530089C901 /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
		04C6EAB42EAF86530089C901 /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				04C6EAB32EAF86530089C901 /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		04C6EAD12EAF87020089C901 /* Debug */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = B8CA018AB878499327504AAD /* Pods-CustomKeyboard.debug.xcconfig */;
			buildSettings = {
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = TN6HHV45BB;
				ENABLE_USER_SCRIPT_SANDBOXING = NO;
				GCC_PREFIX_HEADER = CustomKeyboard/PrefixHeader.pch;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_FILE = CustomKeyboard/Info.plist;
				INFOPLIST_KEY_CFBundleDisplayName = "我的输入法";
				INFOPLIST_KEY_NSHumanReadableCopyright = "";
				IPHONEOS_DEPLOYMENT_TARGET = 15;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@executable_path/../../Frameworks",
				);
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = com.keyBoardst.CustomKeyboard;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SKIP_INSTALL = YES;
				SWIFT_EMIT_LOC_STRINGS = YES;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		04C6EAD22EAF87020089C901 /* Release */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = B12EC429812407B9F0E67565 /* Pods-CustomKeyboard.release.xcconfig */;
			buildSettings = {
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = TN6HHV45BB;
				ENABLE_USER_SCRIPT_SANDBOXING = NO;
				GCC_PREFIX_HEADER = CustomKeyboard/PrefixHeader.pch;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_FILE = CustomKeyboard/Info.plist;
				INFOPLIST_KEY_CFBundleDisplayName = "我的输入法";
				INFOPLIST_KEY_NSHumanReadableCopyright = "";
				IPHONEOS_DEPLOYMENT_TARGET = 15;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@executable_path/../../Frameworks",
				);
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = com.keyBoardst.CustomKeyboard;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SKIP_INSTALL = YES;
				SWIFT_EMIT_LOC_STRINGS = YES;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
		727EC76C2EAF848C00B36487 /* Debug */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = F67DDBD716E4E616D8CC2C9C /* Pods-keyBoard.debug.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_ENTITLEMENTS = keyBoard/keyBoard.entitlements;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = TN6HHV45BB;
				GCC_PREFIX_HEADER = keyBoard/KeyBoardPrefixHeader.pch;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_FILE = keyBoard/Info.plist;
				INFOPLIST_KEY_CFBundleDisplayName = "我的输入法";
				INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents = YES;
				INFOPLIST_KEY_UILaunchStoryboardName = LaunchScreen;
				INFOPLIST_KEY_UIMainStoryboardFile = Main;
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPad = "UIInterfaceOrientationPortrait UIInterfaceOrientationPortraitUpsideDown UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPhone = "UIInterfaceOrientationPortrait UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				IPHONEOS_DEPLOYMENT_TARGET = 15.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = com.keyBoardst;
				PRODUCT_NAME = "$(TARGET_NAME)";
				STRING_CATALOG_GENERATE_SYMBOLS = YES;
				SWIFT_EMIT_LOC_STRINGS = YES;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		727EC76D2EAF848C00B36487 /* Release */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 51FE7C4C42C2255B3C1C4128 /* Pods-keyBoard.release.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_ENTITLEMENTS = keyBoard/keyBoard.entitlements;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = TN6HHV45BB;
				GCC_PREFIX_HEADER = keyBoard/KeyBoardPrefixHeader.pch;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_FILE = keyBoard/Info.plist;
				INFOPLIST_KEY_CFBundleDisplayName = "我的输入法";
				INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents = YES;
				INFOPLIST_KEY_UILaunchStoryboardName = LaunchScreen;
				INFOPLIST_KEY_UIMainStoryboardFile = Main;
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPad = "UIInterfaceOrientationPortrait UIInterfaceOrientationPortraitUpsideDown UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPhone = "UIInterfaceOrientationPortrait UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				IPHONEOS_DEPLOYMENT_TARGET = 15.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = com.keyBoardst;
				PRODUCT_NAME = "$(TARGET_NAME)";
				STRING_CATALOG_GENERATE_SYMBOLS = YES;
				SWIFT_EMIT_LOC_STRINGS = YES;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
		727EC76E2EAF848C00B36487 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				ASSETCATALOG_COMPILER_GENERATE_SWIFT_ASSET_SYMBOL_EXTENSIONS = YES;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++20";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				DEVELOPMENT_TEAM = CBD35U2N52;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				ENABLE_USER_SCRIPT_SANDBOXING = NO;
				GCC_C_LANGUAGE_STANDARD = gnu17;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 26.0;
				LOCALIZATION_PREFERS_STRING_CATALOGS = YES;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
			};
			name = Debug;
		};
		727EC76F2EAF848C00B36487 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				ASSETCATALOG_COMPILER_GENERATE_SWIFT_ASSET_SYMBOL_EXTENSIONS = YES;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++20";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				DEVELOPMENT_TEAM = CBD35U2N52;
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_USER_SCRIPT_SANDBOXING = NO;
				GCC_C_LANGUAGE_STANDARD = gnu17;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 26.0;
				LOCALIZATION_PREFERS_STRING_CATALOGS = YES;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		04C6EAD02EAF87020089C901 /* Build configuration list for PBXNativeTarget "CustomKeyboard" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				04C6EAD12EAF87020089C901 /* Debug */,
				04C6EAD22EAF87020089C901 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		727EC74E2EAF848B00B36487 /* Build configuration list for PBXProject "keyBoard" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				727EC76E2EAF848C00B36487 /* Debug */,
				727EC76F2EAF848C00B36487 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		727EC76B2EAF848C00B36487 /* Build configuration list for PBXNativeTarget "keyBoard" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				727EC76C2EAF848C00B36487 /* Debug */,
				727EC76D2EAF848C00B36487 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 727EC74B2EAF848B00B36487 /* Project object */;
}
